// swiper-sliders
(function ($) {
  /**
   * @param $scope The Widget wrapper element as a jQuery element
   * @param $ The jQuery alias
  */
  
  var WidgetMusicSaraCarouselHandler = function ($scope, $) {
    let $element_container = `.elementor-element-${$scope[0].dataset.id}`;

    var $carousel = $($element_container).find(".musicsara_carousel");

    if (!$carousel.length) {
      return;
    }

    var options = $carousel.data("options");

    var id = '#musicsara_carousel_' + $scope[0].dataset.id;
    
    var $args = {
      loop: false,
      // slidesPerView: 5,
      spaceBetween: 15,
      // watchSlidesProgress: true,
      loop: JSON.parse(options.loop),
      centeredSlides: JSON.parse(options.centeredSlides),
      // If we need pagination
      pagination: {
        el: '.swiper-pagination',
        clickable: true
      },
    
      // Navigation arrows
      navigation: {
        nextEl: '.button-next',
        prevEl: '.button-prev',
      },

      breakpoints: {
        0: {
          slidesPerView: options.el_mobile,
          spaceBetween: 15,
        },
        640: {
          slidesPerView: options.el_tablet,
          spaceBetween: 15,
        },
        768: {
          slidesPerView: options.el_desktop_small,
          spaceBetween: 15,
        },
        1024: {
          slidesPerView: options.el_desktop,
          spaceBetween: 15,
        },
      },
    };

    // autoplay
    if ( JSON.parse( options.autoplay )) {
      $args = Object.assign({ autoplay: { delay: JSON.parse( options.autoplay_delay ) } }, $args);
    }

    new Swiper(id +' .swiper', $args);
  };


  // Make sure you run this code under Elementor.
  $(window).on("elementor/frontend/init", function () {
    elementorFrontend.hooks.addAction(
      "frontend/element_ready/slider.default",
      WidgetMusicSaraCarouselHandler
    );
    elementorFrontend.hooks.addAction(
      "frontend/element_ready/content_carousel.default",
      WidgetMusicSaraCarouselHandler
    );
    elementorFrontend.hooks.addAction(
      "frontend/element_ready/genre_carousel.default",
      WidgetMusicSaraCarouselHandler
    );
    elementorFrontend.hooks.addAction(
      "frontend/element_ready/blog_carousel.default",
      WidgetMusicSaraCarouselHandler
    );
    elementorFrontend.hooks.addAction(
      "frontend/element_ready/related_posts.default",
      WidgetMusicSaraCarouselHandler
    );
    
  });


  // helpers
  function musicsara_exists(val, defaultVal = "") {
    if (val || val === 0) {
      return val;
    }
    return defaultVal;
  }
})(jQuery);