<?php
/* Template Name: صفحه مشترک ورود و عضویت AJAX */
global $wp;
$current = $wp->request;
$config = get_option('my_framework');
?>
<title><?php bloginfo('name') ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Bootstrap core CSS -->
<link href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.rtl.min.css" rel="stylesheet">
<link href="<?php echo get_template_directory_uri(); ?>/style.css" rel="stylesheet">
<?php if ($config['favicon']['url']) : ?>
  <link rel="icon" type="image" href="<?php echo $config['favicon']['url']; ?> " />
<?php else : ?>
  <link rel="icon" type="image" href="<?php echo get_template_directory_uri(); ?>/images/favicon.png" />
<?php endif; ?>
<?php wp_head();  ?>
<style>
  .ajax_form__register, .ajax_from__login{
    background: <?= $config['theme_color'] ?>;
    border: solid 1px <?= $config['theme_color'] ?>;
  }
</style>

<?php
if($current == 'register' && !is_user_logged_in()){
  // register form
  require_once('inc/template_parts/register_form.php');
}else if($current == 'login' && !is_user_logged_in()){
  // login form
  require_once('inc/template_parts/login_form.php');
}else{
  wp_redirect( home_url() ); exit;
}
?>

<script src="<?php echo get_template_directory_uri() ?>/assets/js/jquery.min.js"></script>
<script>
  $('#ajax_register').submit(function (e) {
    e.preventDefault();
    console.log('sd')
    $.ajax({
      type: 'POST',
      dataType: 'json',
      url: '<?php echo admin_url('admin-ajax.php'); ?>',
      data: {
        'action': 'register', //calls wp_ajax_nopriv_ajaxlogin
        'username': $('.register_username').val(),
        'email': $('.register_email').val(),
        'password': $('.register_pass').val(),
        'password2': $('.register_pass2').val(),
        'nonce': '<?= wp_create_nonce('ajax_register')?>'
      },
      beforeSend: function () {
        // Show user a message that details are being checked
        $('.load_overlay').fadeIn();
      },
      success: function (data) {
        $('.load_overlay').fadeOut();
        if (data.register == true) {
          // Show success message if user details exist
          $('.msg').fadeIn();
          $('.msg').html('<div class="rcp_success">ثبت نام با موفقیت انجام شد! درحال انتقال به پنل کاربری</div>');
          // Create timer to refresh page after successfull login
          setTimeout(function () {
            document.location.href = '<?php bloginfo('url') ?>/my-account';
          }, 2000);
        } else if (data.register == false) {
          // Show failure message if user details doesn't exist
          $('.msg').fadeIn();
          $('.msg').html('');
          if(data.error){
            $('.msg').append('<div class="rcp_error error">' + data.error + '</div>')
          }

          for (var prop in data.errors) {
            console.log(prop, data.errors[prop][0])
            $('.msg').append('<div class="rcp_error error">' + data.errors[prop][0] + '</div>')
          }
        }
      }
    });
  });

  $('#ajax_login').submit(function (e) {
    e.preventDefault();
    console.log('sds')
    $.ajax({
      type: 'POST',
      dataType: 'json',
      url: '<?php echo admin_url('admin-ajax.php'); ?>',
      data: {
        'action': 'login_', //calls wp_ajax_nopriv_ajaxlogin
        'username': $('.login_username').val(),
        'password': $('.login_password').val(),
        'nonce': '<?= wp_create_nonce('ajax_login') ?>'
      },
      beforeSend: function () {
        // Show user a message that details are being checked
        $('.load_overlay').fadeIn();
      },
      success: function (data) {
        $('.load_overlay').fadeOut();
        if (data.loggedin == true) {
          // Show success message if user details exist
          $('.msg').fadeIn();
          $('.msg').html('<div class="rcp_success">با موفقیت وارد شدید! درحال انتقال...</div>');
          // Create timer to refresh page after successfull login
          setTimeout(function () {
            document.location.href = '<?php bloginfo('url') ?>/my-account';
          }, 2000);
        } else if (data.loggedin == false) {
          // Show failure message if user details doesn't exist
          $('.msg').fadeIn();
          $('.msg').html('');

          for (var prop in data.errors) {
            console.log(prop, data.errors[prop][0])
            $('.msg').append('<div class="rcp_error error">' + data.errors[prop][0] + '</div>')
          }
        }
      }
    });
  });
</script>