<?php
$config = get_option('my_framework');

// elementor pro footer compatible
if (!function_exists('elementor_theme_do_location') || !elementor_theme_do_location('footer')) : ?>
<footer class="footer">
  <div class="go_up"><i class="bi bi-chevron-double-up"></i></div>
  <div class="<?php musicsara_container_class(); ?>">
    <div class="footer_center mt-3">
      <div class="logo">
        <?php if ($config['logo_image']['url']) : ?>
        <img src="<?php echo $config['logo_image']['url']; ?>" alt="<?php bloginfo('name') ?>">
        <?php endif; ?>
        <h2><?= $config['logo_text']; ?></h2>
      </div>
      <p>
        <?= $config['about'] ?>
      </p>
      <div class="foot_nav">
        <?php wp_nav_menu(array('theme_location' => 'list1', 'container' => '', 'menu_class' => 'menunav')); ?>
      </div>
    </div>
      <div class="footer_widgets mt-5">
        <div class="row">
        <?php dynamic_sidebar('footer-widgets') ?>
      </div>
    </div>
  </div>
</footer>
<?php endif; ?>

<?php
if(!is_single() || !is_page()):?>
<div id="player" class="dontShow">
  <button id="close_player"><i class="bi bi-x"></i></button>
  <div class="container">
    <audio id="audioPlayerSingle" data-firtSongName="" preload="none" data-activeIndex="0" src=""></audio>
  </div>
</div>
<div id="open_player"><i class="bi bi-chevron-up"></i></div>
<?php endif; ?>
<div id="toast"></div>

<?php wp_footer();?>
<?php if($config['pwa_active']):?>
<script>
  if ("serviceWorker" in navigator) {
    window.addEventListener("load", function() {
      navigator.serviceWorker
        .register("serviceWorker.js")
    })
  }
</script>
<?php endif;?>
</body>
</html>