<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class AlbumLinksWidget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'album_links';
	}

	public function get_title() {
		return esc_html__( 'لینک های آلبوم', 'musicsara' );
	}

	public function get_icon() {
		return 'eicon-slider-album';
	}

	public function get_categories() {
		return [ 'musicsara' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'content_section',
			[
				'label' => esc_html__( 'تنظیمات', 'musicsara' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

    $this->add_control(
			'style',
			[
				'label' => esc_html__( 'طرح لینک ها', 'textdomain' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'modern',
				'options' => [
					'modern' =>'مدرن',
				],
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
  $settings = $this->get_settings_for_display();
  global $post;
  ?>
  <?php if($settings['style']): ?>
    <?php if(get_field('album')):
    $links = [];  
  ?>
  <section class="album_list mb-5 mt-5">
    <?php $i = 1; $j = 0; $links = []; if(have_rows('album')): while( have_rows('album') ) : the_row();
      if(get_sub_field('album_128')){
        $links[] = ['name'=>get_sub_field('name'), 'link'=>get_sub_field('album_128')];
      }else{
        $links[] = ['name'=>get_sub_field('name'), 'link'=>get_sub_field('album_320')];
      }
    ?>
    <div class="album_item d-flex justify-content-between align-items-center">
      <div class="rightSide d-flex align-items-center">
        <div class="increment"><?= $i; ?></div>
        <div class="play">
          <button data-index="<?= $j; ?>" data-title="<?php the_sub_field('name') ?>" class="playAlbum" aria-label="پخش"><i class="bi bi-play-fill"></i></button>
        </div>
        <div class="album_item__artist">
          <?php echo get_the_term_list($post->ID, 'artist', '', ' ', ''); ?>
        </div>
        <a class="album_item__title" href="<?php the_permalink() ?>"><?php the_sub_field('name') ?></a>
      </div>
      <div class="leftSide d-flex">
        <?php if(get_sub_field('album_128')):?>
        <a download class="album_item__download" href="<?php the_sub_field('album_128') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۱۲۸', 'musicsara') ?></a>
        <?php endif;?>
        <?php if(get_sub_field('album_320')):?>
        <a download class="album_item__download" href="<?php the_sub_field('album_320') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۳۲۰', 'musicsara') ?></a>
        <?php endif;?>
        <?php if(get_sub_field('album_flac')):?>
        <a download class="album_item__download" href="<?php the_sub_field('album_flac') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت FLAC', 'musicsara') ?></a>
        <?php endif;?>
      </div>
    </div>
    <?php $i++; $j++; endwhile; endif;  ?>
    
  </section>
  <?php endif; ?>
  
  <?php
  endif; //end modern style
	}
}