<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class PostTagsWidget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'post_tags';
	}

	public function get_title() {
		return esc_html__( 'تگ های مطلب', 'musicsara' );
	}

	public function get_icon() {
		return 'eicon-tags';
	}

	public function get_custom_help_url() {
		return 'https://developers.elementor.com/docs/widgets/';
	}

	public function get_categories() {
		return [ 'musicsara' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'content_section',
			[
				'label' => esc_html__( 'تنظیمات', 'musicsara' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
  $settings = $this->get_settings_for_display();
  global $post;
  ?>
  
<?php if(get_the_tags('')): ?>
<section class="tags">
  <div class="tags__header">
    <h4><i class="bi bi-tags"></i> <?php _e('برچسب ها', 'musicsara') ?></h4>
    <i class="bi bi-chevron-double-left"></i>
  </div>
  <div class="tags__inner">
    <?php the_tags('', ''); ?>
  </div>
</section>
<?php endif; ?>


  <?php
	}
}