<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class SingleSimpleTitleWidget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'simple_title';
	}

	public function get_title() {
		return esc_html__( 'عنوان مطلب ساده', 'musicsara' );
	}

	public function get_icon() {
		return 'eicon-site-title';
	}

	public function get_custom_help_url() {
		return 'https://developers.elementor.com/docs/widgets/';
	}

	public function get_categories() {
		return [ 'musicsara' ];
	}

	protected function register_controls() {
    $this->start_controls_section(
			'section_style',
			[
				'label' => esc_html__( 'استایل', 'musicsara' ),
				'tab' => Elementor\Controls_Manager::TAB_STYLE,
			]
		);

    $this->add_control(
			'dark_text_color',
			[
				'label' => esc_html__( 'رنگ متن عنوان تیره', 'sepidar' ),
				'type' => Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} h1' => 'color: {{VALUE}};',
				],
			]
		);

    $this->add_control(
			'light_text_color',
			[
				'label' => esc_html__( 'رنگ متن عنوان روشن', 'sepidar' ),
				'type' => Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'html.light {{WRAPPER}}  h1' => 'color: {{VALUE}} !important;',
				],
			]
		);

    $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'heading_typo',
        'label' => esc_html__( 'تایپوگرافی عنوان', 'sepidar' ),
        'selector' => '{{WRAPPER}} h1',
			]
		);


    $this->end_controls_section();
	}

	protected function render() {
  $settings = $this->get_settings_for_display();
  global $post;
  ?>
  <div class="single_info">
    <div class="single_info__details">
      <h1><?php the_title(); ?></h1>
    </div>
  </div>
  <?php
	}
}