<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class SingleGenresWidget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'single_genres';
	}

	public function get_title() {
		return esc_html__( 'نمایش سبک های موسیقی مطلب', 'musicsara' );
	}

	public function get_icon() {
		return 'eicon-ellipsis-h';
	}

	public function get_custom_help_url() {
		return 'https://developers.elementor.com/docs/widgets/';
	}

	public function get_categories() {
		return [ 'musicsara' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'content_section',
			[
				'label' => esc_html__( 'استایل', 'musicsara' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

    $this->add_control(
			'dark_text_color',
			[
				'label' => esc_html__( 'رنگ متن عنوان تیره', 'sepidar' ),
				'type' => Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .single_genre a' => 'color: {{VALUE}};',
				],
			]
		);

    $this->add_control(
			'dark_bg_color',
			[
				'label' => esc_html__( 'رنگ پس زمینه تیره', 'sepidar' ),
				'type' => Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .single_genre a' => 'background: {{VALUE}};',
				],
			]
		);

    $this->add_control(
			'light_text_color',
			[
				'label' => esc_html__( 'رنگ متن عنوان روشن', 'sepidar' ),
				'type' => Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'html.light {{WRAPPER}} .single_genre a' => 'color: {{VALUE}} !important;',
				],
			]
		);

    $this->add_control(
			'light_bg_color',
			[
				'label' => esc_html__( 'رنگ پس زمینه روشن', 'sepidar' ),
				'type' => Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'html.light {{WRAPPER}} .single_genre a' => 'background: {{VALUE}};',
				],
			]
		);

    $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'heading_typo',
        'label' => esc_html__( 'تایپوگرافی لینک', 'sepidar' ),
        'selector' => '{{WRAPPER}} .single_genre a',
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
  $settings = $this->get_settings_for_display();
  global $post;
  ?>
  <div class="single_info">
    <div class="single_info__details">
      <div class="single_genre"><?php echo get_the_term_list($post->ID, 'genre', '', ' ', ''); ?></div>
    </div>
  </div>
  <?php
	}
}