<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class SingleShareWidget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'single_share';
	}

	public function get_title() {
		return esc_html__( 'المان اشتراک گذاری', 'musicsara' );
	}

	public function get_icon() {
		return 'eicon-share';
	}

	public function get_custom_help_url() {
		return 'https://developers.elementor.com/docs/widgets/';
	}

	public function get_categories() {
		return [ 'musicsara' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'content_section',
			[
				'label' => esc_html__( 'استایل', 'musicsara' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

    $this->add_control(
			'dark_color',
			[
				'label' => esc_html__( 'رنگ بندی تیره', 'sepidar' ),
				'type' => Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .like_btn' => 'border-color: {{VALUE}};',
					'{{WRAPPER}} .share_toggle' => 'border-color: {{VALUE}};',
          '{{WRAPPER}} .like_btn span' => 'color: {{VALUE}};',
					'{{WRAPPER}} .share_toggle i' => 'color: {{VALUE}};',
				],
			]
		);

    $this->add_control(
			'light_color',
			[
				'label' => esc_html__( 'رنگ بندی روشن', 'sepidar' ),
				'type' => Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'html.light {{WRAPPER}} .like_btn' => 'border-color: {{VALUE}};',
					'html.light {{WRAPPER}} .share_toggle' => 'border-color: {{VALUE}};',
          'html.light {{WRAPPER}} .like_btn span' => 'color: {{VALUE}};',
					'html.light {{WRAPPER}} .share_toggle i' => 'color: {{VALUE}};',
				],
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
  $settings = $this->get_settings_for_display();
  global $post;
  ?>
  <div class="single_info">
    <div class="single_info__details">
      <div class="single_share d-flex my-2">
          <button class="share_toggle position-relative">
            <i class="bi bi-share-fill"></i>
            <div class="share_dialog">
            <a data-bs-toggle="tooltip" data-bs-placement="top" title="<?php _e('اشتراک گذاری در واتس‌آپ', 'musicsara'); ?>" class="whatsapp" href="https://api.whatsapp.com/send/?phone&text=<?php the_permalink();?>//&app_absent=0"><i class="bi bi-whatsapp"></i></a>
            <a data-bs-toggle="tooltip" data-bs-placement="top" title="<?php _e('اشتراک گذاری در تلگرام', 'musicsara'); ?>" class="telegram" href="https://telegram.me/share/url?url=<?php the_permalink();?>"><i class="bi bi-telegram"></i></a>
            <a data-bs-toggle="tooltip" data-bs-placement="top" title="<?php _e('اشتراک گذاری در توییتر', 'musicsara'); ?>" class="twitter" href="https://twitter.com/share?text=<?php the_title() ?>&amp;url=<?php the_permalink();?>"><i class="bi bi-twitter"></i></a>
          </div>
          </button>
          
          <?php echo like_it_button_html('', $post); ?>
      </div>
    </div>
  </div>
  <?php
	}
}