<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class StickyPlayerWidget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'sticky_player';
	}

	public function get_title() {
		return esc_html__( 'پلیر موزیک چسبنده', 'musicsara' );
	}

	public function get_icon() {
		return 'eicon-play';
	}

	public function get_categories() {
		return [ 'musicsara' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'content_section',
			[
				'label' => esc_html__( 'تنظیمات', 'musicsara' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);


		$this->end_controls_section();

	}

	protected function render() {
  $settings = $this->get_settings_for_display();
  global $post;
  ?>
  
  <?php if(get_the_terms($post->ID, 'type_')): if(get_the_terms($post->ID, 'type_')[0]->slug !== 'video'): ?>
<div id="player">
  <button id="close_player"><i class="bi bi-x"></i></button>
  <div class="<?php musicsara_container_class(); ?>">
    <?php
    if(get_field('album')):
      $links = [];  

      $i = 1; $j = 0; $links = []; 
      if(have_rows('album')): while( have_rows('album') ) : the_row();
        if(get_sub_field('album_128')){
          $links[] = ['name'=>get_sub_field('name'), 'link'=>get_sub_field('album_128')];
        }else{
          $links[] = ['name'=>get_sub_field('name'), 'link'=>get_sub_field('album_320')];
        }
      endwhile;
      endif;
    endif;

    if(!empty($links)){
      $activeSong = $links[0]['link'];
    }else{
      $activeSong = get_field('download_128') ? get_field('download_128') : get_field('download_320');
    }
    $temp_name= '';
    if(get_the_terms($post->ID, 'type_')[0]->slug == 'album'){
      if($links){
        $temp_name = $links[0]['name'];
      }
    }else{
      $temp_name = get_field('title');
    }
    ?>
    <audio id="audioPlayerSingle" data-firtSongName="<?= $temp_name ?>" preload="none" data-activeIndex="0" src="<?= $activeSong; ?>">
      <?php if(isset($links)): foreach($links as $key => $link): ?>
        <source src="<?= $link['link']; ?>" data-index="<?= $key ?>" data-title="<?= $link['name'] ?>">
      <?php endforeach; endif;?>
    </audio>
  </div>
</div>
<div id="open_player"><i class="bi bi-chevron-up"></i></div>
<?php endif; endif; ?>
  
  <?php
	}
}