<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class ThumbnailBadgeWidget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'thumbnail_badge';
	}

	public function get_title() {
		return esc_html__( 'تصویر مطلب به همراه نوع پست', 'musicsara' );
	}

	public function get_icon() {
		return 'eicon-image-hotspot';
	}

	public function get_custom_help_url() {
		return 'https://developers.elementor.com/docs/widgets/';
	}

	public function get_categories() {
		return [ 'musicsara' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'content_section',
			[
				'label' => esc_html__( 'تنظیمات', 'musicsara' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
  $settings = $this->get_settings_for_display();
  global $post;
  ?>
  <div class="single_info">
    <div class="single_info__cover ms-0">
      <div class="position-relative">
        <?php the_post_thumbnail('cover_single') ?>
        <div class="type_overlay"><?php echo get_the_term_list($post->ID, 'type_', '', ' ', ''); ?></div>
      </div>
    </div>
  </div>
  <?php
	}
}