<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class VideoBoxWidget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'video_box';
	}

	public function get_title() {
		return esc_html__( 'باکس ویدیو ادامه مطلب', 'musicsara' );
	}

	public function get_icon() {
		return 'eicon-video-camera';
	}

	public function get_custom_help_url() {
		return 'https://developers.elementor.com/docs/widgets/';
	}

	public function get_categories() {
		return [ 'musicsara' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'content_section',
			[
				'label' => esc_html__( 'تنظیمات', 'musicsara' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
  $settings = $this->get_settings_for_display();
  global $post;
  ?>
   <?php if(get_field('video_1080') || get_field('video_720') || get_field('video_480')):?>
  <div class="video">
    <video id="video_player" playsinline controls data-poster="<?= the_field('poster') ?>">
    <?php if(get_field('video_4k')): ?>
      <source src="<?php the_field('video_4k') ?>" type="video/mp4" size="2160" />
      <?php endif; ?>
      <?php if(get_field('video_1080')): ?>
      <source src="<?php the_field('video_1080') ?>" type="video/mp4" size="1080" />
      <?php endif; ?>
      <?php if(get_field('video_720')): ?>
      <source src="<?php the_field('video_720') ?>" type="video/mp4" size="720" />
      <?php endif;?>
      <?php if(get_field('video_480')): ?>
      <source src="<?php the_field('video_480') ?>" type="video/mp4" size="480" />
      <?php endif;?>
    </video>
  </div>
  <?php endif; ?>
  <?php
	}
}