<?php
$config = get_option('my_framework');
?>
<section class="latestSongs mb-5">
  <div class="latestSongs__header d-flex justify-content-between">
    <h3><span class="indicator"></span>
      <?php
      if ($config['index_posts']['last_title']) {
        echo $config['index_posts']['last_title'];
      } else {
        _e('جدیدترین موزیک ها', 'musicsara');
      }
      ?>
    </h3>
    <div class="button_wrap d-flex">
      <div id="song-prev" class="button-prev"><i class="bi bi-chevron-right"></i></div>
      <div id="song-next" class="button-next"><i class="bi bi-chevron-left"></i></div>
    </div>
  </div>
  <div class="swiper songSwiper">
    <div class="swiper-wrapper">
      <?php

      $args = array(
        'showposts' => $config['index_posts']['last_count'] ? $config['index_posts']['last_count'] : 10,
        'tax_query' => array(
          array(
            'taxonomy' => 'type_',
            'field' => 'slug',
            'terms' => array('single', 'album', 'video'),
          ),
        )
      );

      $query = new WP_Query($args);
      if ($query->found_posts) :
        while ($query->have_posts()) :
          $query->the_post();
          ?>
          <div class="swiper-slide">
            <?php get_template_part('inc/template_parts/cards/default') ?>
          </div>
        <?php
        endwhile;
      endif;
      wp_reset_postdata();
      ?>
    </div>
  </div>
</section>

<div class="home_tabligh_2">
  <?php if($config['latest_ads']){
    echo $config['latest_ads'];
  } ?>
</div>

<div class="row mb-5">
  <div class="col-xxl-8">
    <section class="topOfWeek">
      <div class="topOfWeek__header d-flex justify-content-between">
        <h3><span class="indicator"></span>
          <?php
          if ($config['index_posts']['special_title']) {
            echo $config['index_posts']['special_title'];
          } else {
            _e('موزیک های ویژه', 'musicsara');
          }
          ?>
        </h3>
      </div>
      <?php
      $args = array(
        'showposts' => 5,
        'meta_key'    => 'special',
        // 'cat'    => 1,
        'meta_value'  => true
      );

      $query = new WP_Query($args);
      if ($query->found_posts) :
        while ($query->have_posts()) :
          $query->the_post();
          ?>
          <div class="topOfWeek__item d-flex justify-content-between align-items-center">
            <div class="rightSide d-flex align-items-center">
              <a href="<?php the_permalink() ?>">
                <?php the_post_thumbnail('cover_small') ?>
              </a>
              <div class="topOfWeek__artist">
                <a class="topOfWeek__title" href="<?php the_permalink() ?>"><?php the_field('title') ?></a>
              </div>
              <div class="topOfWeek__name">
                <?php echo get_the_term_list($post->ID, 'artist', '', ' ', ''); ?>
              </div>

            </div>
            <div class="leftSide d-flex">
                <span class="topOfWeek__like">
                  <?php echo like_it_button_html('', $post); ?>
                </span>
              <span data-state="" data-id="<?= get_the_ID(); ?>" data-nonce="<?= wp_create_nonce('playonline') ?>" data-link="" data-name="" class="me-2 play_icon play_single_music"><i class="bi bi-play-fill"></i></span>
              <a class="topOfWeek__download" href="<?php the_permalink() ?>"><i class="bi bi-download"></i></a>
            </div>
          </div>
        <?php
        endwhile;
      endif;
      wp_reset_postdata();
      ?>
    </section>
  </div>
  <div class="col-xxl-4">
    <section class="randomSong">
      <div class="randomSong__header d-flex justify-content-between">
        <h3><span class="indicator"></span>
          <?php
          if ($config['index_posts']['random_title']) {
            echo $config['index_posts']['random_title'];
          } else {
            _e('موزیک تصادفی', 'musicsara');
          }
          ?>
        </h3>
      </div>
      <?php
      $args = array(
        'showposts' => 1,
        'orderby' => 'rand',
        'tax_query' => array(
          array(
            'taxonomy' => 'type_',
            'field' => 'slug',
            'terms' => array('single'),
          ),
        )
      );

      $query = new WP_Query($args);
      if ($query->found_posts) :
        while ($query->have_posts()) :
          $query->the_post();
          ?>
          <div class="randomSong__inner position-relative">
            <div class="randomSong__like">
              <?php echo like_it_button_html('', $post); ?>
            </div>
            <div class="audio-player">
              <div class="icon-container">
                <a href="<?php the_permalink() ?>">
                  <?php the_post_thumbnail('cover') ?>
                </a>
                <div class="randomSong_artist"><?php echo get_the_term_list($post->ID, 'artist', '', ' ', ''); ?></div>
                <div class="randomSong_title"><?php the_field('title') ?></div>
                <?php if (get_field('download_320')) : ?>
                  <audio controls id="audioPlayer" class="audio_home" preload="none" src="<?php the_field('download_320'); ?>"></audio>
                <?php endif; ?>
              </div>
            </div>
          </div>
        <?php
        endwhile;
      endif;
      wp_reset_postdata();
      ?>
    </section>
  </div>
</div>


<section class="latestPodcasts mb-5">
  <div class="latestPodcasts__header d-flex justify-content-between">
    <h3><span class="indicator"></span>
      <?php
      if ($config['index_posts']['podcast_title']) {
        echo $config['index_posts']['podcast_title'];
      } else {
        _e('پادکست های اخیر', 'musicsara');
      }
      ?></h3>
    <div class="button_wrap d-flex">
      <div id="pod-prev" class="button-prev"><i class="bi bi-chevron-right"></i></div>
      <div id="pod-next" class="button-next"><i class="bi bi-chevron-left"></i></div>
    </div>
  </div>
  <div class="swiper PodcastSwiper">
    <div class="swiper-wrapper">
      <?php
      if ($config['index_posts']['podcast_title']) {
        $args = array(
          'showposts' => $config['index_posts']['podcast_count'] ? $config['index_posts']['podcast_count'] : 8,
          'cat' => $config['index_posts']['podcast_cat']
        );
      } else {
        $args = array(
          'showposts' => $config['index_posts']['podcast_count'] ? $config['index_posts']['podcast_count'] : 8,
          'tax_query' => array(
            array(
              'taxonomy' => 'type_',
              'field' => 'slug',
              'terms' => 'podcast',
            )
          )
        );
      }

      $query = new WP_Query($args);
      if ($query->found_posts) :
        while ($query->have_posts()) :
          $query->the_post();
          ?>
          <div class="swiper-slide">
            <?php get_template_part('inc/template_parts/cards/default') ?>
          </div>
        <?php
        endwhile;
      endif;
      wp_reset_postdata();
      ?>
    </div>
  </div>
</section>


<div class="row">
  <div class="col-xxl-8">
    <section class="latestvideos mb-5">
      <div class="latestvideos__header d-flex justify-content-between">
        <h3><span class="indicator"></span>
          <?php
          if ($config['index_posts']['video_title']) {
            echo $config['index_posts']['video_title'];
          } else {
            _e('آخرین موزیک ویدیو ها', 'musicsara');
          }
          ?>
        </h3>
        <div class="button_wrap d-flex">
          <div id="vid-prev" class="button-prev"><i class="bi bi-chevron-right"></i></div>
          <div id="vid-next" class="button-next"><i class="bi bi-chevron-left"></i></div>
        </div>
      </div>
      <div class="swiper VideoSwiper">
        <div class="swiper-wrapper">
          <?php
          if ($config['index_posts']['video_title']) {
            $args = array(
              'showposts' => $config['index_posts']['video_count'] ? $config['index_posts']['video_count'] : 8,
              'cat' => $config['index_posts']['video_cat']
            );
          } else {
            $args = array(
              'showposts' => $config['index_posts']['video_count'] ? $config['index_posts']['video_count'] : 8,
              'tax_query' => array(
                array(
                  'taxonomy' => 'type_',
                  'field' => 'slug',
                  'terms' => 'video',
                )
              )
            );
          }
          $query = new WP_Query($args);
          if ($query->found_posts) :
            while ($query->have_posts()) :
              $query->the_post();
              ?>
              <div class="swiper-slide">
                <?php get_template_part('inc/template_parts/cards/default') ?>
              </div>
            <?php
            endwhile;
          endif;
          wp_reset_postdata();
          ?>
        </div>
      </div>
    </section>
  </div>
  <div class="col-xxl-4">
    <div class="genre">
      <div class="swiper genreSwiper">
        <div class="swiper-wrapper">
          <?php $genre = get_terms('genre', array('hide_empty' => false,));
          foreach ($genre as $g_item) : ?>
            <div class="swiper-slide">
              <a href="<?php bloginfo('url') ?>/genre/<?= $g_item->slug ?>"><?= $g_item->name ?></a>
            </div>
          <?php endforeach; ?>
        </div>
      </div>
    </div>
    <div class="social">
      <div class="social_desc"><?php _e('شبکه های اجتماعی', 'musicsara'); ?></div>
      <div class="social_list">
        <ul>
          <?php if ($config['telegram']) : ?>
            <li><a class="telegram" href="<?= $config['telegram']; ?>"><i class="bi bi-telegram"></i></a></li>
          <?php endif; ?>
          <?php if ($config['instagram']) : ?>
            <li><a class="instagram" href="<?= $config['instagram']; ?>"><i class="bi bi-instagram"></i></a></li>
          <?php endif; ?>
          <?php if ($config['twitter']) : ?>
            <li><a class="twitter" href="<?= $config['twitter']; ?>"><i class="bi bi-twitter"></i></a></li>
          <?php endif; ?>
          <?php if ($config['facebook']) : ?>
            <li><a class="facebook" href="<?= $config['facebook']; ?>"><i class="bi bi-facebook"></i></a></li>
          <?php endif; ?>
        </ul>
      </div>
    </div>
    <div class="home_tabligh">
      <?php if($config['ads_video']){
        echo $config['ads_video'];
      } ?>
    </div>
  </div>
</div>

<section class="albumVideos mb-5">
  <div class="albumVideos__header d-flex justify-content-between">
    <h3><span class="indicator"></span>
      <?php
      if ($config['index_posts']['album_title']) {
        echo $config['index_posts']['album_title'];
      } else {
        _e('جدیدترین آلبوم ها', 'musicsara');
      }
      ?>
    </h3>
    <div class="button_wrap d-flex">
      <div id="album-prev" class="button-prev"><i class="bi bi-chevron-right"></i></div>
      <div id="album-next" class="button-next"><i class="bi bi-chevron-left"></i></div>
    </div>
  </div>
  <div class="swiper albumSwiper">
    <div class="swiper-wrapper">
      <?php
      if ($config['index_posts']['album_title']) {
        $args = array(
          'showposts' => $config['index_posts']['album_count'] ? $config['index_posts']['album_count'] : 8,
          'cat' => $config['index_posts']['album_cat']
        );
      } else {
        $args = array(
          'showposts' => $config['index_posts']['album_count'] ? $config['index_posts']['album_count'] : 8,
          'tax_query' => array(
            array(
              'taxonomy' => 'type_',
              'field' => 'slug',
              'terms' => 'album',
            )
          )
        );
      }
      $query = new WP_Query($args);
      if ($query->found_posts) :
        while ($query->have_posts()) :
          $query->the_post();
          ?>
          <div class="swiper-slide">
            <?php get_template_part('inc/template_parts/cards/default') ?>
          </div>
        <?php
        endwhile;
      endif;
      wp_reset_postdata();
      ?>
    </div>
  </div>
</section>

<?php
if($config['index_cats']):
  foreach($config['index_cats'] as $item):
    ?>
    <section class="albumVideos mb-5">
      <div class="albumVideos__header d-flex justify-content-between">
        <h3><span class="indicator"></span>
          <?php echo $item['index_cats__title'] ?>
        </h3>
        <a class="show_more" href="<?= get_category_link($item['index_cats__cat']) ?>"><?php _e('مشاهده همه', 'musicsara') ?></a>
      </div>
      <div class="swiper customSwiper">
        <div class="swiper-wrapper">
          <?php
          $args = array(
            'showposts' => $item['index_cats__count'] ? $item['index_cats__count'] : 8,
            'cat' => $item['index_cats__cat']
          );

          $query = new WP_Query($args);
          if ($query->found_posts) :
            while ($query->have_posts()) :
              $query->the_post();
              ?>
              <div class="swiper-slide">
              <?php get_template_part('inc/template_parts/cards/default') ?>
              </div>
            <?php
            endwhile;
          endif;
          wp_reset_postdata();
          ?>
        </div>
      </div>
    </section>
  <?php endforeach; endif;?>

<?php if($config['blog']): ?>
  <section class="blogPosts">
    <div class="blogPosts__header d-flex justify-content-between">
      <h3><span class="indicator"></span>
        <?php _e('آخرین مطالب وبلاگ', 'musicsara') ?>
      </h3>
      <div class="d-flex align-items-center justify-content-center">
        <div class="button_wrap d-sm-flex ps-3 d-none">
          <div id="blog-prev" class="button-prev"><i class="bi bi-chevron-right"></i></div>
          <div id="blog-next" class="button-next"><i class="bi bi-chevron-left"></i></div>
        </div>
        <a class="show_more" href="<?php bloginfo('url') ?>/blog"><?php _e('مشاهده همه', 'musicsara') ?></a>
      </div>
    </div>
    <div class="swiper blogSwiper">
      <div class="swiper-wrapper">
        <?php
        $args = array(
          'post_type' => 'blog',
          'showposts' => 8,
          // 'cat' => $item['index_cats__cat']
        );

        $query = new WP_Query($args);
        if ($query->found_posts) :
          while ($query->have_posts()) :
            $query->the_post();
            ?>
            <div class="swiper-slide">
              <div class="swiper_image">
                <a href="<?php the_permalink() ?>">
                  <?php the_post_thumbnail('blog') ?>
                </a>
              </div>
              <div class="swiper_title pb-2">
                <a href="<?php the_permalink() ?>">
                  <h2 class="pb-2"><?php echo  get_field('title') ? get_field('title') : the_title(); ?></h2>
                </a>
                <p><?= limited_excerpt(get_the_excerpt(), 130) ?></p>
              </div>
              <div class="d-flex justify-content-between align-items-center mt-4">
              <span class="blog_meta">
                <i class="bi bi-chat-quote-fill"></i>
                <?php echo comments_number( __('۰ نظر', 'musicsara'), __('۱ نظر', 'musicsara'), __('%s نظر', 'musicsara') );  ?>
              </span>
                <a class="blog_read_more" href="<?php the_permalink() ?>"><?php _e('بیشتر بخوانید', 'musicsara') ?></a>
              </div>
            </div>
          <?php
          endwhile;
        endif;
        wp_reset_postdata();
        ?>
      </div>
    </div>
  </section>
<?php endif;?>