<?php
$config = get_option('my_framework');
?>
<div class="<?php musicsara_container_class(); ?> mt-5 ajax_context">
  <div class="row">
    <?php get_sidebar('right') ?>
    <div class="col-lg-6 order-1 order-sm-1 main_content_wrap">
      <div class="breadcrumbs my-2">
        <?php dimox_breadcrumbs() ?>
      </div><!-- /.breadcrumbs -->
      <?php
      while(have_posts()) : the_post(); ?>
        <article class="main_content mb-4">
          <div class="main_content__header">
            <i class="bi icon bi-music-note-beamed"></i>
            <h1><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h1>
            <div class="old_like">
              <?php echo like_it_button_html('', $post); ?>
            </div>
          </div><!-- /.main_content__header -->
          <div class="main_content__body">
            <?php the_content(); ?>

            <?php if(get_field('lyrics')): ?>
            <div class="post_lyrics">
            <?php the_field('lyrics') ?>
            </div>
            <?php endif; ?>

            <div class="main_content__album">
              <?php if(get_field('video_1080') || get_field('video_720') || get_field('video_480')):?>
                <div class="video">
                  <video id="video_player" playsinline controls data-poster="<?= the_field('poster') ?>">
                  <?php if(get_field('video_4k')): ?>
                    <source src="<?php the_field('video_4k') ?>" type="video/mp4" size="2160" />
                    <?php endif; ?>
                    <?php if(get_field('video_1080')): ?>
                    <source src="<?php the_field('video_1080') ?>" type="video/mp4" size="1080" />
                    <?php endif; ?>
                    <?php if(get_field('video_720')): ?>
                    <source src="<?php the_field('video_720') ?>" type="video/mp4" size="720" />
                    <?php endif;?>
                    <?php if(get_field('video_480')): ?>
                    <source src="<?php the_field('video_480') ?>" type="video/mp4" size="480" />
                    <?php endif;?>
                  </video>
                </div>
                <?php endif; ?>

                <?php if(get_field('album')):
                  $links = [];  
                ?>
                <section class="album_list mb-5 mt-5">
                  <?php $i = 1; $j = 0; $links = []; if(have_rows('album')): while( have_rows('album') ) : the_row();
                    if(get_sub_field('album_128')){
                      $links[] = ['name'=>get_sub_field('name'), 'link'=>get_sub_field('album_128')];
                    }else{
                      $links[] = ['name'=>get_sub_field('name'), 'link'=>get_sub_field('album_320')];
                    }
                  ?>
                  <div class="album_item d-flex justify-content-between align-items-center">
                    <div class="rightSide d-flex align-items-center">
                      <div class="increment"><?= $i; ?></div>
                      <div class="play">
                        <button data-index="<?= $j; ?>" data-title="<?php the_sub_field('name') ?>" class="playAlbum" aria-label="پخش"><i class="bi bi-play-fill"></i></button>
                      </div>
                      <div class="album_item__artist">
                        <?php echo get_the_term_list($post->ID, 'artist', '', ' ', ''); ?>
                      </div>
                      <a class="album_item__title" href="<?php the_permalink() ?>"><?php the_sub_field('name') ?></a>
                    </div>
                    <div class="leftSide d-flex">
                      <?php if(get_sub_field('album_128')):?>
                      <a download class="album_item__download" href="<?php the_sub_field('album_128') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۱۲۸', 'musicsara') ?></a>
                      <?php endif;?>
                      <?php if(get_sub_field('album_320')):?>
                      <a download class="album_item__download" href="<?php the_sub_field('album_320') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۳۲۰', 'musicsara') ?></a>
                      <?php endif;?>
                      <?php if(get_sub_field('album_flac')):?>
                      <a download class="album_item__download" href="<?php the_sub_field('album_flac') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت FLAC', 'musicsara') ?></a>
                      <?php endif;?>
                    </div>
                  </div>
                  <?php $i++; $j++; endwhile; endif;  ?>
                  
                </section>
                <?php endif; ?>
              </div><!-- /.main_content__album -->

            <div class="post_download__section">
              <?php if(get_field('download_128')): ?>
                <a download href="<?php the_field('download_128') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۱۲۸', 'musicsara') ?></a>
                <?php endif; ?>
                <?php if(get_field('download_320')): ?>
                <a download href="<?php the_field('download_320') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۳۲۰', 'musicsara') ?></a>
                <?php endif; ?>
                <?php if(get_field('download_flac')): ?>
                <a download href="<?php the_field('download_flac') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت FLAC', 'musicsara') ?></a>
                <?php endif; ?>
                <?php if(get_field('album_zip_128')): ?>
                <a download href="<?php the_field('album_zip_128') ?>"><i class="bi bi-download"></i> <?php _e('دانلود بصورت یکجا با کیفیت ۱۲۸', 'musicsara') ?></a>
                <?php endif; ?>
                <?php if(get_field('album_zip_320')): ?>
                <a download href="<?php the_field('album_zip_320') ?>"><i class="bi bi-download"></i> <?php _e('دانلود بصورت یکجا با کیفیت ۳۲۰', 'musicsara') ?></a>
                <?php endif; ?>
                <?php if(get_field('album_zip_flac')): ?>
                <a download href="<?php the_field('album_zip_flac') ?>"><i class="bi bi-download"></i> <?php _e('دانلود بصورت یکجا با کیفیت FLAC', 'musicsara') ?></a>
                <?php endif; ?>
                <?php if(get_field('video_4k')): ?>
                <a download href="<?php the_field('video_4k') ?>"><i class="bi bi-download"></i><?php _e('دانلود با کیفیت 4k', 'musicsara') ?></a>
                <?php endif; ?>
                <?php if(get_field('video_1080')): ?>
                <a download href="<?php the_field('video_1080') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۱۰۸۰', 'musicsara') ?></a>
                <?php endif; ?>
                <?php if(get_field('video_720')): ?>
                <a download href="<?php the_field('video_720') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۷۲۰', 'musicsara') ?></a>
                <?php endif; ?>
                <?php if(get_field('video_480')): ?>
                <a download href="<?php the_field('video_480') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۴۸۰', 'musicsara') ?></a>
              <?php endif; ?>
            </div><!-- /.post_download__section -->


            <div class="main_content__meta">
              <ul>
                <li><i class="bi bi-calendar-event"></i><?php the_date(); ?></li>
                <li><i class="bi bi-eye"></i><?php echo getPostViewCount(); ?> <?php _e('بازدید', 'musicsara'); ?></li>
                <li><i class="bi bi-ui-checks-grid"></i><?php echo get_the_category_list(' , '); ?></li>
                <li><i class="bi bi-chat-dots"></i><?php echo get_comments_number() ?></li>
              </ul>
            </div><!-- /.main_content__meta -->

          </div><!-- /.main_content__body -->
        </article><!-- /.main_content -->
      <?php endwhile; ?>

      <?php if(get_the_tags('')): ?>
        <section class="tags">
          <div class="tags__header">
            <h4><i class="bi bi-tags"></i> <?php _e('برچسب ها', 'musicsara') ?></h4>
            <i class="bi bi-chevron-double-left"></i>
          </div>
          <div class="tags__inner">
            <?php the_tags('', ''); ?>
          </div>
        </section>
      <?php endif; ?>

      <?php
        $artist = get_the_terms($post->ID, 'artist');
        $artist_arr = [];
        if($artist){
          foreach($artist as $item){
            $artist_arr[] = $item->term_id;
          }
        }
        $args = array(
          'showposts' => 8,
          'post__not_in' => array($post->ID),
          'tax_query' => array(
            array(
              'taxonomy' => 'artist',
              'field' => 'id',
              'terms' => $artist_arr,
            )
          )
        );

        $query = new WP_Query($args);
        if($query->have_posts()):
        ?>
        <section class="latestSongs mb-5">
          <div class="latestSongs__header d-flex justify-content-between">
            <h3><span class="indicator"></span> <?php _e('آثار دیگر این خواننده', 'musicsara') ?></h3>
            <div class="button_wrap d-flex">
              <div id="song-prev" class="button-prev"><i class="bi bi-chevron-right"></i></div>
              <div id="song-next" class="button-next"><i class="bi bi-chevron-left"></i></div>
            </div>
          </div>
          <div class="swiper rel_swiper">
            <div class="swiper-wrapper">
              <?php
              if ($query->found_posts) :
                while ($query->have_posts()) :
                  $query->the_post();
              ?>
                <div class="swiper-slide">
                  <div class="music_card">
                    <div class="swiper_image">
                      <a href="<?php the_permalink() ?>">
                        <?php the_post_thumbnail('cover') ?>
                        <div class="image_overlay">
                          <?php if(get_the_terms($post->ID, 'type_')[0]->slug == 'video'): ?>
                            <i class="bi bi-play-circle"></i>
                          <?php endif; ?>
                        </div>
                      </a>
                    </div>
                    <div class="swiper_title">
                      <a href="<?php the_permalink() ?>">
                        <h2><?php the_field('title') ?></h2>
                      </a>
                      <div class="d-flex justify-content-between">
                        <span class="text-truncate swiper_artist">
                          <?php echo get_the_term_list($post->ID, 'artist', '', ' ', ''); ?>
                        </span>
                        <a class="pe-2" href="<?php the_permalink() ?>"><i class="bi bi-download"></i></a>
                      </div>
                    </div>
                  </div>
                </div>
              <?php
                endwhile;
              endif;
              wp_reset_postdata();
              ?>
            </div>
          </div>
        </section>
      <?php endif; ?>

      <section class="comments">
        <div class="content__header d-flex justify-content-between">
            <h3><span class="indicator"></span><?php _e('نظرات', 'musicsara') ?></h3>
          </div>
          <?php
          if (comments_open()) {
            comments_template();
          }
          ?>
      </section>
    </div><!-- /.main_content_wrap -->
    <?php get_sidebar('left') ?>
  </div> <!-- /.row -->
</div><!-- /.container -->