<?php get_header();
$config = get_option('my_framework');
$lightMode = $config['lightMode'];

if(theme_options('demo_mode') && isset( $_GET['demo'] )){
  $demo = (int)$_GET['demo'];
  
  if($demo == 1){
    $config['demo'] = 'secondary';
  }else{
    $config['demo'] = 'default';
  }
}
?>

<main class="<?php musicsara_container_class(); ?> ajax_context">
<section class="slider">
  <div class="swiper main_slider">
    <div class="swiper-wrapper">
      <?php
      $args = array(
        'showposts' => 6,
        'meta_key'    => 'show_slider',
        'meta_value'  => true,
      );

      $query = new WP_Query($args);
      if ($query->found_posts) :
        while ($query->have_posts()) :
          $query->the_post();
      ?>
      <div class="swiper-slide">
        <a href="<?php the_permalink(); ?>">
          <img width="600" height="300" src="<?php the_field('slider_image') ?>" alt="<?php the_title(); ?>">
          <div class="slider_text">
            <h3><?php the_title(); ?></h3>
            <div class="d-flex justify-content-between align-items-center">
              <div class="artist">
                <?php echo strip_tags( get_the_term_list($post->ID, 'artist', '', ' ', '') ); ?>
              </div>
              <span>دانلود <i class="bi bi-chevron-left"></i></span>
            </div>
          </div>
        </a>
      </div>
      <?php
        endwhile;
      endif;
      wp_reset_postdata();
      ?>
    </div>
  </div>
</section>
  <?php if ($config['hero'] == true) : ?>
    <section class="hero">
      <div class="hero__text">
        <span class="hero__welcome">
          <?php echo sprintf(__('به %s خوش آمدید', 'musicsara'), get_bloginfo('name')) ?>
        </span>
        <h2><?= $config['hero_title'] ?></h2>
        <p><?= $config['hero_desc'] ?></p>

      </div>
      <div class="hero__image">
        <?php if ($config['hero_image']['url']) : ?>
          <img src="<?= $config['hero_image']['url'] ?>" alt="تصویر معرفی">
        <?php else : ?>
          <img src="<?= get_template_directory_uri() ?>/assets/images/hero_image.png" alt="تصویر معرفی">
        <?php endif; ?>
      </div>
    </section>
  <?php endif; ?>

  <?php
  //  load theme based user's choice
  if($config['demo'] == 'secondary'){
    get_template_part('inc/template_parts/home/secondary');
  }else{
    get_template_part('inc/template_parts/home/default');
  }
  ?>
</main>

<?php get_footer(); ?>