<?php
/* Template Name: لیست سبک های موسیقی*/
get_header();
$config = get_option('my_framework');
?>
<main class="<?php musicsara_container_class(); ?> mt-3 ajax_context" style="min-height: 470px">
  <div class="content__header d-flex justify-content-between mt-4 mb-3">
    <h3><span class="indicator"></span><?php _e('لیست سبک های موسیقی', 'musicsara') ?></h3>
  </div>
  <div class="row">
  <?php 
  $taxonomy = 'genre';
  $number   = 12;
  $page         = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
  $offset       = ( $page > 0 ) ?  $number * ( $page - 1 ) : 1;
  $totalterms   = wp_count_terms( $taxonomy, array( 'hide_empty' => false ) ); 
  $totalpages   = ceil( $totalterms / $number );

  $artists = get_terms('genre',array('hide_empty' => false, 'number' => $number, 'offset' => $offset,));
  foreach($artists as $artist):?>
    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-3 col-sm-3 col-6">
      <div class="postItem">
        <div class="postItem_image">
          <a href="<?php bloginfo('url');?>/genre/<?= $artist->slug ?>">
          <?php if(get_field('image', $artist)){ ?>
            <img width="169" height="169" src="<?php echo get_field('image', $artist) ?>" alt="<?php single_cat_title(); ?>" />
          <?php }else{ ?>
            <img width="169" height="169" src="<?php echo get_template_directory_uri(); ?>/assets/images/no_img.jpeg" alt="<?php single_cat_title(); ?>" />
          <?php } ?>
            <div class="image_overlay">
            </div>
          </a>
        </div>
        <div class="postItem_title text-center">
          <a href="<?php bloginfo('url');?>/artist/<?= $artist->slug ?>">
            <h2><?= $artist->name ?></h2>
          </a>
        </div>
      </div>
    </div>
  <?php endforeach;?>
    
  </div>
  <div class="pagination">
  <?php
    echo paginate_links(array(
      'base' => str_replace(999999999, '%#%', esc_url(get_pagenum_link(999999999))),
      'total' => $totalpages,
      'current' => max(1, get_query_var('paged')),
      'format' => '?paged=%#%',
      'show_all' => false,
      'type' => 'plain',
      'end_size' => 2,
      'mid_size' => 1,
      'prev_next' => true,
      'prev_text' => sprintf('<i></i> %1$s', __('قبلی', 'musicsara')),
      'next_text' => sprintf('%1$s <i></i>', __('بعدی', 'musicsara')),
      'add_args' => false,
      'add_fragment' => '',
    ));
    ?>
  </div>
</main>


<?php get_footer(); ?>