<?php get_header();
$config = get_option('my_framework');
$artist = get_queried_object();
$post_limit = theme_options('artistWorksLimit') ? (int) theme_options('artistWorksLimit') : 6;
?>
<main class="<?php musicsara_container_class(); ?> mt-3 ajax_context" style="min-height: 470px">
  <div class="artist_info d-flex mt-5">
    <div class="image">
      <?php if(get_field('image', $artist)){ ?>
        <img width="220" height="220" src="<?php echo get_field('image', $artist) ?>" alt="<?php single_cat_title(); ?>" />
      <?php }else{ ?>
        <img width="220" height="220" src="<?php echo get_template_directory_uri(); ?>/assets/images/no_img.jpeg" alt="<?php single_cat_title(); ?>" />
      <?php } ?>
      <div>
        <?php if( get_field('artist_insta', $artist) || get_field('artist_spotify', $artist) ||  get_field('artist_youtube', $artist) || get_field('artist_twitter', $artist) ): ?>
        <div class="artist_social">
        <div class="mb-2 mt-2"><?php _e('شبکه های اجتماعی', 'musicsara') ?></div>
          <ul>
            <?php if(get_field('artist_insta', $artist)): ?>
            <li><a class="instagram" href="<?= get_field('artist_insta', $artist); ?>"><i class="bi bi-instagram"></i></a></li>
            <?php endif; ?>
            <?php if(get_field('artist_spotify', $artist)): ?>
            <li><a class="spotify" href="<?= get_field('artist_spotify', $artist); ?>"><i class="bi bi-spotify"></i></a></li>
            <?php endif; ?>
            <?php if(get_field('artist_youtube', $artist)): ?>
            <li><a class="youtube" href="<?= get_field('artist_youtube', $artist); ?>"><i class="bi bi-youtube"></i></a></li>
            <?php endif; ?>
            <?php if(get_field('artist_twitter', $artist)): ?>
            <li><a class="twitter" href="<?= get_field('artist_twitter', $artist); ?>"><i class="bi bi-twitter"></i></a></li>
            <?php endif; ?>
          </ul>
        </div>
        <?php endif; ?>
      </div>
    </div>
    <div class="artist_bio pt-2">
      <div class="d-flex align-items-center mb-2 flex-wrap">
        <h1><?php single_cat_title(); ?></h1> 
        <?php if( theme_options('followArtist') ): ?>
        <button class="follow_btn artistFollow-<?php echo $artist->term_id; ?> -click bi <?php echo is_favorite(get_current_user_id(), $artist->term_id) ? 'bi-star-fill' : 'bi-star' ?>" data-js="follow" data-follow="<?php echo $artist->term_id; ?>" data-user="<?php echo get_current_user_id(); ?>">
          <?php echo is_favorite(get_current_user_id(), $artist->term_id) ? __('آنفالو کردن', 'musicsara') : __('دنبال کردن', 'musicsara') ?>
        </button>
        <span class="followers"><?= get_field('followers', $artist) ? get_field('followers', $artist) : 0?> <?php _e('دنبال کننده', 'musicsara') ?></span>
        <?php endif; ?>
      </div>
      <div>
      <p><?php the_field('bio', $artist);?></p>
      </div>
    </div>
  </div>
 <!-- albums  -->
  <?php
  $args = array(
    'showposts' => $post_limit,
    'tax_query' => array(
      array(
          'taxonomy' => $artist->taxonomy,
          'field'    => 'term_id',
          'terms'    => $artist->term_id,
      ),
      array(
        'taxonomy' => 'type_',
        'field'    => 'slug',
        'terms'    => 'album',
    ),
    ),
  );

  $query = new WP_Query($args);
  if($query->have_posts()):
  ?>
  <div class="content__header d-flex justify-content-between mt-4">
    <h3><span class="indicator"></span>  <?php _e('آلبوم ها', 'musicsara') ?></h3>
  </div>
  <div class="row album">
    <?php if ($query->have_posts()) : while ($query->have_posts()) : $query->the_post();?>
    <div class="col-xxl-2 col-xl-2 col-lg-3 col-md-4 col-sm-6 col-6 mb-4">
    <?php get_template_part('inc/template_parts/cards/default'); ?>
    </div>
    <?php endwhile;?>
    </div>
    <!-- load more -->
      <?php if( $query->max_num_pages > 1 ): ?>
      <button class="load_more_comments load_more_artist" data-type="album" data-term="<?php echo $artist->term_id ?>" data-cp="1" data-mp="<?php echo $query->max_num_pages ?>">
      
      <?php _e('مشاهده آثار بیشتر', 'musicsara') ?>      
    </button>
    <?php endif; ?>
    <!-- ./load more -->
    <?php wp_reset_postdata();
    else : ?><?php _e('مطلبی یافت نشد', 'musicsara') ?><?php endif; ?>
  <?php endif; ?>


  <!-- singles  -->
  <?php
  // $artist = get_queried_object();
  $paged = 1;
  $args = array(
    'showposts' => $post_limit,
    'paged' => $paged,
    'tax_query' => array(
      array(
          'taxonomy' => $artist->taxonomy,
          'field'    => 'term_id',
          'terms'    => $artist->term_id,
      ),
      array(
        'taxonomy' => 'type_',
        'field'    => 'slug',
        'terms'    => 'single',
    ),
    ),
  );

  $query = new WP_Query($args);
  if($query->have_posts()):
  ?>
  <div class="content__header d-flex justify-content-between mt-4">
    <h3><span class="indicator"></span><?php _e('آهنگ ها', 'musicsara') ?></h3>
  </div>
  <div class="row single">
    <?php if ($query->have_posts()) : while ($query->have_posts()) : $query->the_post();?>
    <div class="col-xxl-2 col-xl-2 col-lg-3 col-md-4 col-sm-6 col-6 mb-4">
      <?php get_template_part('inc/template_parts/cards/default'); ?>
    </div>
    <?php endwhile;?>
    </div>
    <!-- load more -->
    <?php if( $query->max_num_pages > 1 ): ?>
      <button class="load_more_comments load_more_artist" data-type="single" data-term="<?php echo $artist->term_id ?>" data-cp="1" data-mp="<?php echo $query->max_num_pages ?>">
      
      <?php _e('مشاهده آثار بیشتر', 'musicsara') ?>      
    </button>
    <?php endif; ?>
    <!-- ./load more -->
    <?php wp_reset_postdata();
    else : ?>مطلبی یافت نشد!<?php endif; ?>
  <?php endif; ?>

  <!-- videos  -->
  <?php
  $artist = get_queried_object();
  $args = array(
    'showposts' => $post_limit,
    'tax_query' => array(
      array(
          'taxonomy' => $artist->taxonomy,
          'field'    => 'term_id',
          'terms'    => $artist->term_id,
      ),
      array(
        'taxonomy' => 'type_',
        'field'    => 'slug',
        'terms'    => 'video',
    ),
    ),
  );

  $query = new WP_Query($args);
  if($query->have_posts()):
  ?>
  <div class="content__header d-flex justify-content-between mt-4">
    <h3><span class="indicator"></span><?php _e('موزیک ویدیو ها', 'musicsara') ?></h3>
  </div>
  <div class="row">
    <?php if ($query->have_posts()) : while ($query->have_posts()) : $query->the_post();?>
    <div class="col-xxl-2 col-xl-2 col-lg-3 col-md-4 col-sm-6 col-6 mb-4">
      <?php get_template_part('inc/template_parts/cards/default'); ?>
    </div>
    <?php endwhile;?>
    </div>
    <!-- load more -->
    <?php if( $query->max_num_pages > 1 ): ?>
      <button class="load_more_comments load_more_artist" data-type="video" data-term="<?php echo $artist->term_id ?>" data-cp="1" data-mp="<?php echo $query->max_num_pages ?>">
      
      <?php _e('مشاهده آثار بیشتر', 'musicsara') ?>      
    </button>
    <?php endif; ?>
    <!-- ./load more -->
    <?php wp_reset_postdata();
    else : ?>مطلبی یافت نشد!<?php endif; ?>
  <?php endif; ?>


  <!-- podcasts  -->
  <?php
  $artist = get_queried_object();
  $args = array(
    'showposts' => $post_limit,
    'tax_query' => array(
      array(
          'taxonomy' => $artist->taxonomy,
          'field'    => 'term_id',
          'terms'    => $artist->term_id,
      ),
      array(
        'taxonomy' => 'type_',
        'field'    => 'slug',
        'terms'    => 'podcast',
    ),
    ),
  );

  $query = new WP_Query($args);
  if($query->have_posts()):
  ?>
  <div class="content__header d-flex justify-content-between mt-4">
    <h3><span class="indicator"></span><?php _e('پادکست ها', 'musicsara') ?></h3>
  </div>
  <div class="row">
    <?php if ($query->have_posts()) : while ($query->have_posts()) : $query->the_post();?>
    <div class="col-xxl-2 col-xl-2 col-lg-3 col-md-4 col-sm-6 col-6 mb-4">
      <?php get_template_part('inc/template_parts/cards/default'); ?>
    </div>
    <?php endwhile;?>
    </div>
    <!-- load more -->
    <?php if( $query->max_num_pages > 1 ): ?>
      <button class="load_more_comments load_more_artist" data-type="podcast" data-term="<?php echo $artist->term_id ?>" data-cp="1" data-mp="<?php echo $query->max_num_pages ?>">
      
      <?php _e('مشاهده آثار بیشتر', 'musicsara') ?>      
    </button>
    <?php endif; ?>
    <!-- ./load more -->
    <?php wp_reset_postdata();
    else : ?>مطلبی یافت نشد!<?php endif; ?>
  <?php endif; ?>


</main>


<?php get_footer(); ?>