<?php
/**
 * My Account Dashboard - Sepidar Customzied
 *
 * Shows the first intro screen on the account dashboard.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/dashboard.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 4.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$allowed_html = array(
	'a' => array(
		'href' => array(),
	),
);
?>

<!-- dashboard information -->
<?php
$customer_orders = get_posts(
	apply_filters(
		'woocommerce_my_account_my_orders_query',
		array(
			'numberposts' => -1,
			'meta_key'    => '_customer_user',
			'meta_value'  => get_current_user_id(),
			'post_type'   => wc_get_order_types( 'view-orders' ),
			'post_status' => array_keys( wc_get_order_statuses() ),
		)
	)
);

$price = array(); 
foreach($customer_orders as $customer_order){
  $order = wc_get_order( $customer_order );
	$item_count = $order->get_total();
  array_push($price, $item_count);
}
?>

<div class="panel_info py-3">
  <ul class="row">
  <li class="col">
      <div class="panel_info__card blue_gradient">
        <div class="panel_info__card--icon color-3">
          <i class="bi bi-shop"></i>
        </div>
        <div class="me-3">
          <div class="panel_info__card--title">
            <?php _e('کل محصولات', 'sepidar') ?>
          </div>
          <div class="panel_info__card--body">
            <?php $products = wc_get_products( array( 'posts_per_page' => -1 ) );
            echo count($products);
            ?>
          </div>
        </div>
      </div>
    </li>

    <li class="col">
      <div class="panel_info__card blue_gradient">
        <div class="panel_info__card--icon color-4">
          <i class="bi bi-cart"></i>
        </div>
        <div class="me-3">
          <div class="panel_info__card--title">
          <?php _e('تعداد خرید ها', 'sepidar') ?>
          </div>
          <div class="panel_info__card--body">
            <?php echo count($customer_orders); ?>
          </div>
        </div>
      </div>
    </li>

    <li class="col">
      <div class="panel_info__card  lime_gradient">
        <div class="panel_info__card--icon color-2">
        <i class="bi bi-coin"></i>
        </div>
        <div class="me-3">
          <div class="panel_info__card--title">
            <?php _e('مبلغ سفارشات', 'sepidar') ?>
          </div>
          <div class="panel_info__card--body">
          <?php echo wc_price(array_sum($price));?>
          </div>
        </div>
      </div>
    </li>

    <li class="col">
      <div class="panel_info__card  orange_gradient">
        <div class="panel_info__card--icon color-1">
          <i class="bi bi-chat"></i>
        </div>
        <div class="me-3">
          <div class="panel_info__card--title">
            <?php _e('تعداد دیدگاه ها', 'sepidar') ?>
          </div>
          <div class="panel_info__card--body">
          <?php
            echo get_comments(array('user_id' => $current_user->ID, 'count' => true));
            ?>
          </div>
        </div>
      </div>
    </li>
  </ul>
</div>
<!-- dashboard information -->

<!-- blog posts  -->
<div class="latest_blog_posts mt-5">
  <div class="icon">
    <i class="bi bi-newspaper"></i>
  </div>
  <h3><?php _e('جدیدترین مطالب', 'sepidar') ?></h3>

  <div class="latest_blog_posts__body">
    <ul>
    <?php
    $args = array(
      'showposts' => 5,
    );
    $the_query = new WP_Query($args);
    while ($the_query->have_posts()) : $the_query->the_post(); ?>
      <li>
        <a href="<?php the_permalink() ?>">
          <h4><?php the_title(); ?></h4>
          <p><?php echo limited_excerpt ( get_the_excerpt() ); ?></p>
        </a>
      </li>
    <?php endwhile; ?>
    <?php wp_reset_query(); ?>
    </ul>
  </div>
</div>
<!-- blog posts  -->


<?php
	/**
	 * My Account dashboard.
	 *
	 * @since 2.6.0
	 */
	do_action( 'woocommerce_account_dashboard' );

	/**
	 * Deprecated woocommerce_before_my_account action.
	 *
	 * @deprecated 2.6.0
	 */
	do_action( 'woocommerce_before_my_account' );

	/**
	 * Deprecated woocommerce_after_my_account action.
	 *
	 * @deprecated 2.6.0
	 */
	do_action( 'woocommerce_after_my_account' );

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
