<?php
/**
 * My Account navigation - Sepidar Customzied
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/navigation.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 2.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<!-- sepidar -->
<div class="row">
<div class="col-lg-3">
<!-- sepidar -->

<?php
do_action( 'woocommerce_before_account_navigation' );
?>


<nav class="woocommerce_panel_nav">

  <div class="profile_avatar d-flex align-items-center flex-column gap-4">
    <div class="profile_avatar_img">
      <?php echo get_avatar(get_current_user_id(), 90); ?>
    </div>
    <div class="profile_avatar_title">
      <div class="profile_welcome">
      <?php _e('خوش آمدید', 'sepidar'); ?>
      </div>
      <?php if( is_rtl() ): ?>
        <?php echo wp_get_current_user()->user_login; ?>
        <?php _e('عزیز', 'sepidar'); ?>
      <?php else: ?>
        <?php _e('عزیز', 'sepidar'); ?>
        <?php echo wp_get_current_user()->user_login; ?>
      <?php endif; ?>
    </div>
  </div>

	<ul>
		<?php foreach ( wc_get_account_menu_items() as $endpoint => $label ) : ?>
			<li class="<?php echo wc_get_account_menu_item_classes( $endpoint ); ?>">
				<a href="<?php echo esc_url( wc_get_account_endpoint_url( $endpoint ) ); ?>"><?php echo esc_html( $label ); ?></a>
			</li>
		<?php endforeach; ?>
	</ul>
</nav>

<?php do_action( 'woocommerce_after_account_navigation' ); ?>

<!-- sepidar -->
</div> <!-- /.col-lg-3 -->
<!-- sepidar -->
